System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

Disadvantages of running 5.9 with older kernel

Simon_G
Occasional Advisor

Disadvantages of running 5.9 with older kernel

We patched a server with RHEL 5.9 and have 2.6.18-348.1.1 kernel installed, since the SA had some udev worker thread issue during boot, he set the default boot kernel  to 2.6.18-238.9.1. and it booted fine. My question is what are the disadvantages by doing this? Does this mean are we really running RHEL5.9 or 5.6? (2.6.18-238.9.1 is i think a 5.6 - BTW how do check this from the server other than going to the Redhat website? Please explain!

 

Simon.

3 REPLIES
Matti_Kurkela
Honored Contributor

Re: Disadvantages of running 5.9 with older kernel

You're now running "5.6 with user-space bugfixes from the 5.9 patch level added".

The kernel is still at the 5.6 level, but system libraries and userspace programs are at the 5.9 level.

 

There does not seem to be an easy way to identify the "level" of a particular kernel package.

But this command might be helpful:

 

rpm -q --provides kernel-2.6.18-238.9.1.el5 | sed -ne 's/^.*_u\([0-9]*\)) =.*$/\1/p' |sort -n |tail -1

 It will output either nothing (for e.g. RHEL 5.0) or a single number, which is the "level" of the examined kernel package.

 

Technically, "rpm -q --provides" outputs all the "provides" keywords in the kernel RPM metadata, which include a lot of keywords of forms

  kernel(rhel5_<some-kernel-subsystem>_ga)

or

  kernel(rhel5_<some-kernel-subsystem>_uN)

 

where _uN indicates that the particular subsystem of the kernel is at least on update level N.

 

You cannot just look for a particular subsystem keyword, since not all subsystems receive new keywords at every level upgrade. For example, in the RHEL 5.10 kernel includes the following MD driver related keywords:

  • kernel(rhel5_drivers_md_ga)
  • kernel(rhel5_drivers_md_u4)
  • kernel(rhel5_drivers_md_u7)

To find the "level" of a particular kernel package, you find the highest _uN suffix on all these keywords.

(Obviously, if you're only interested in just verifying that a particular feature that was added in a specific update level is present, you can just test for the presence of that particular keyword).

 

MK
Simon_G
Occasional Advisor

Re: Disadvantages of running 5.9 with older kernel

THanks MK!

 

I get a single digit "6" from that output, so i guess that would mean 5.6 running userspace and librarires of 5.9. so my questions is what features of 5.9 am i missing here (obviously the newer kernel features - correct)? In other words if this whole update was for a kernel related feature like for ex. HBA firmware (which i think is embedded in the driver (Qlogic) then it would be meaningless as it is running the 5.6 kernel - correct?

 

Simon

Matti_Kurkela
Honored Contributor

Re: Disadvantages of running 5.9 with older kernel

Exactly.

 

Since you're using the 5.6 kernel and the modules that come with it, all the kernel and driver updates released since 5.6 are not active on your system now. If you're using any add-on drivers from e.g. your server hardware manufacturer, use the "modinfo <module name>" command to verify the version number of the driver module that is actually running, and consult the appropriate driver release notes.

 

For a detailed list of kernel changes since 5.6, go to:

https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Linux/

and find the documents "5.7 Technical Notes", "5.8 Technical Notes" and "5.9 Technical Notes". On each document, read the "kernel" subchapter in the "Package Updates" chapter.

 

For a more condensed list, check the Release Notes for 5.7, 5.8 and 5.9 for any kernel- and driver-related updates. The release notes can be found on the same page as the Technical Notes.

 

MK